Bug 522498 - [Regression] Compiz locks up the system if KMS is enabled.
Summary: [Regression] Compiz locks up the system if KMS is enabled.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 14:39 UTC by Diego
Modified: 2009-10-01 12:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-01 12:15:16 UTC


Attachments (Terms of Use)
dmesg with KMS enabled (31.68 KB, text/plain)
2009-09-10 14:39 UTC, Diego
no flags Details
glxinfo (15.55 KB, text/plain)
2009-09-10 14:42 UTC, Diego
no flags Details

Description Diego 2009-09-10 14:39:28 UTC
Created attachment 360512 [details]
dmesg with KMS enabled

Description of problem:
Compiz locks up the system if Kernel modesetting is enabled.
When you got to "desktop effects" and activate Compiz it works for a couple of seconds and then it freezes the system. Ctrl+Alt+Canc doesn't work. Hard reset needed.

Version-Release number of selected component (if applicable):

Using Radeon Test Day LiveCD (09/09/09).

Name       : mesa-dri-drivers
Arch       : i686
Version    : 7.6
Release    : 0.11.fc12
Size       : 6.1 M
Repo       : installed
From repo  : rawhide-hourly

Smolt profile:
http://smolts.org/client/show/pub_c0d14534-c5c3-42f5-ac1d-61378b4440e7


How reproducible:
Always.

Steps to Reproduce:
1. "System" -> "Prefences" -> "Desktop Effects" -> "Compiz"
  
Actual results:
Total lockup.

Additional info:
It used to work in F11 + updates (Mesa 7.6), see:
http://smolts.org/client/show/pub_c0d14534-c5c3-42f5-ac1d-61378b4440e7

Comment 1 Diego 2009-09-10 14:42:16 UTC
Created attachment 360513 [details]
glxinfo

Comment 2 Diego 2009-09-10 14:44:17 UTC
Just to be clear:

F11 works in every case.

Rawhide Radeon Test Day (09/09/09):
- glxgears no KMS: OK
- compiz no KMS: OK
- glxgears KMS: OK
- compiz KMS: freeze after ~2 seconds

Comment 3 Diego 2009-09-10 14:46:19 UTC
Mmm... sorry, the link at the bottom of:
https://bugzilla.redhat.com/show_bug.cgi?id=522498#c0
should be:
https://bugzilla.redhat.com/show_bug.cgi?id=476419#c8

Comment 4 Diego 2009-09-29 16:14:06 UTC
KWin compositing seems to work on 24/09/2009 Rawhide KDE Live CD Nightly build:
http://alt.fedoraproject.org/pub/alt/nightly-composes/kde/logs/20090924.18-i386.log
so probably this is fixed for Compiz too... I'll let you know.

Comment 5 Diego 2009-10-01 12:15:16 UTC
Confirmed, also Compiz works without lockups now.


Note You need to log in before you can comment on or make changes to this bug.